Loading...
Searching...
No Matches
GxLogger::logmsg Struct Reference

## Public Member Functions

| logmsg (std::string m, MsgType t, bool p)

## Public Attributes

std::string | msg
MsgType | msgtype
bool | plugged

## Detailed Description

Definition at line 45 of file gx_logging.h.

## Constructor & Destructor Documentation

## logmsg()

GxLogger::logmsg::logmsg | ( | std::string | m,
|  | MsgType | t,
|  | bool | p )

inline

Definition at line 49 of file gx_logging.h.

## Member Data Documentation

## msg

std::string GxLogger::logmsg::msg

Definition at line 46 of file gx_logging.h.

Referenced by logmsg().

## msgtype

MsgType GxLogger::logmsg::msgtype

Definition at line 47 of file gx_logging.h.

Referenced by logmsg().

## plugged

bool GxLogger::logmsg::plugged

Definition at line 48 of file gx_logging.h.

Referenced by logmsg().

The documentation for this struct was generated from the following file:

- src/headers/gx_logging.h